Summary: Check plugin to monitor the status of "stuff" in op5Live
Name: monitor-plugin-check_op5live
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/system-addons
URL: https://kb.op5.com/x/egHU
Source0: %name-%version.tar.gz
Prefix: /opt/plugins/custom
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: python
Requires: python-argparse
Requires: python-requests

%define base_python_directory %buildroot/opt/plugins/custom

%if 0%{?suse_version}
# SLES-specific stuff
Requires: python-base
%endif

%description
This check plugin is used to monitor the status
of "stuff" in op5Live.

%prep
%setup -q

%build
%if 0%{?sles_version}
mkdir -p %buildroot/opt/plugins/custom
cp check_op5live.py %buildroot/opt/plugins/custom
cp op5_monitor_api_client.py %buildroot/opt/plugins/custom
%{py_compile %base_python_directory}
%{py_compile -O %base_python_directory}
%endif

%install
mkdir -p %buildroot/opt/plugins/custom
cp check_op5live.py %buildroot/opt/plugins/custom
cp op5_monitor_api_client.py %buildroot/opt/plugins/custom
ln -s check_op5live.py %buildroot/opt/plugins/custom/check_op5live
ln -s op5_monitor_api_client.py %buildroot/opt/plugins/custom/op5_monitor_api_client

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/custom/check_op5live
%attr(755,root,root) /opt/plugins/custom/check_op5live.py
%attr(644,root,root) /opt/plugins/custom/check_op5live.pyc
%attr(644,root,root) /opt/plugins/custom/check_op5live.pyo
%attr(755,root,root) /opt/plugins/custom/op5_monitor_api_client
%attr(755,root,root) /opt/plugins/custom/op5_monitor_api_client.py
%attr(644,root,root) /opt/plugins/custom/op5_monitor_api_client.pyc
%attr(644,root,root) /opt/plugins/custom/op5_monitor_api_client.pyo

%changelog
* Wed May 27 2015 Joel Rangsmo <jrangsmo@op5.com>
Packaded version 0.3, which includes remote check performance data

* Fri May 08 2015 Joel Rangsmo <jrangsmo@op5.com>
Inital commit for packaging
